<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="text"/>
<xsl:variable name="combinedkeyinput">
	<xsl:for-each select="/OMACIM/Keys/Key">
		<xsl:value-of select="@value"/>
	</xsl:for-each>
</xsl:variable>
<xsl:variable name="lowercombinedkeyinput" select="translate($combinedkeyinput,'ABCDEFGHIJKLMNOPQRSTUVWXYZ', 'abcdefghijklmnopqrstuvwxyz')"/>
<xsl:template match="SVMInventory/Device">
	<xsl:apply-templates />
</xsl:template>
<xsl:template match="Application">
<xsl:choose>
<xsl:when test="not(/OMACIM/Keys)">
instance of <xsl:value-of select="/OMACIM/@creation-class-name" />
{
	Antecedent = "//<xsl:value-of select="/OMACIM/@system-name" />/<xsl:value-of select="/OMACIM/@creation-class-namespace" />:Dell_CMDevice.componentID=&quot;<xsl:value-of select="../@componentID" />&quot;,name=&quot;<xsl:value-of select="../@display" />&quot;,vendorID=&quot;<xsl:value-of select="../@vendorID" />&quot;,deviceID=&quot;<xsl:value-of select="../@deviceID"/>&quot;,subDeviceID=&quot;<xsl:value-of select="../@subDeviceID" />&quot;,subVendorID=&quot;<xsl:value-of select="../@subVendorID" />&quot;,bus=&quot;<xsl:value-of select="../@bus"/>&quot;,device=&quot;<xsl:value-of select="../@device"/>&quot;,function=&quot;<xsl:value-of select="../@function"/>&quot;";
	Dependent = "//<xsl:value-of select="/OMACIM/@system-name" />/<xsl:value-of select="/OMACIM/@creation-class-namespace" />:Dell_CMApplication.componentType=&quot;<xsl:value-of select="@componentType" />&quot;,subComponentID=&quot;<xsl:value-of select="@subComponentID" />&quot;,version=&quot;<xsl:value-of select="@version" />&quot;,name=&quot;<xsl:value-of select="@display" />&quot;,deviceKey=&quot;<xsl:value-of select="../@componentID" />:<xsl:value-of select="../@display" />:<xsl:value-of select="../@vendorID" />:<xsl:value-of select="../@deviceID"/>:<xsl:value-of select="../@subDeviceID" />:<xsl:value-of select="../@subVendorID" />:<xsl:value-of select="../@bus"/>:<xsl:value-of select="../@device"/>:<xsl:value-of select="../@function"/>&quot;";
};
</xsl:when>
<xsl:otherwise>
<xsl:variable name="combinedAppTag">//<xsl:value-of select="/OMACIM/@system-name" />/<xsl:value-of select="/OMACIM/@creation-class-namespace" />:Dell_CMDevice.componentID=&quot;<xsl:value-of select="../@componentID" />&quot;,name=&quot;<xsl:value-of select="../@display" />&quot;,vendorID=&quot;<xsl:value-of select="../@vendorID" />&quot;,deviceID=&quot;<xsl:value-of select="../@deviceID"/>&quot;,subDeviceID=&quot;<xsl:value-of select="../@subDeviceID" />&quot;,subVendorID=&quot;<xsl:value-of select="../@subVendorID" />&quot;,bus=&quot;<xsl:value-of select="../@bus"/>&quot;,device=&quot;<xsl:value-of select="../@device"/>&quot;,function=&quot;<xsl:value-of select="../@function"/>&quot;//<xsl:value-of select="/OMACIM/@system-name" />/<xsl:value-of select="/OMACIM/@creation-class-namespace" />:Dell_CMApplication.componentType=&quot;<xsl:value-of select="@componentType" />&quot;,subComponentID=&quot;<xsl:value-of select="@subComponentID" />&quot;,version=&quot;<xsl:value-of select="@version" />&quot;,name=&quot;<xsl:value-of select="@display" />&quot;,deviceKey=&quot;<xsl:value-of select="../@componentID" />:<xsl:value-of select="../@display" />:<xsl:value-of select="../@vendorID" />:<xsl:value-of select="../@deviceID"/>:<xsl:value-of select="../@subDeviceID" />:<xsl:value-of select="../@subVendorID" />:<xsl:value-of select="../@bus"/>:<xsl:value-of select="../@device"/>:<xsl:value-of select="../@function"/>&quot;</xsl:variable>
<xsl:variable name="lowercombinedAppTag" select="translate($combinedAppTag,'ABCDEFGHIJKLMNOPQRSTUVWXYZ', 'abcdefghijklmnopqrstuvwxyz')"/>
<xsl:if test="($lowercombinedAppTag = $lowercombinedkeyinput ) ">
instance of <xsl:value-of select="/OMACIM/@creation-class-name" />
{
	Antecedent = "//<xsl:value-of select="/OMACIM/@system-name" />/<xsl:value-of select="/OMACIM/@creation-class-namespace" />:Dell_CMDevice.componentID=&quot;<xsl:value-of select="../@componentID" />&quot;,name=&quot;<xsl:value-of select="../@display" />&quot;,vendorID=&quot;<xsl:value-of select="../@vendorID" />&quot;,deviceID=&quot;<xsl:value-of select="../@deviceID"/>&quot;,subDeviceID=&quot;<xsl:value-of select="../@subDeviceID" />&quot;,subVendorID=&quot;<xsl:value-of select="../@subVendorID" />&quot;,bus=&quot;<xsl:value-of select="../@bus"/>&quot;,device=&quot;<xsl:value-of select="../@device"/>&quot;,function=&quot;<xsl:value-of select="../@function"/>&quot;";
	Dependent = "//<xsl:value-of select="/OMACIM/@system-name" />/<xsl:value-of select="/OMACIM/@creation-class-namespace" />:Dell_CMApplication.componentType=&quot;<xsl:value-of select="@componentType" />&quot;,subComponentID=&quot;<xsl:value-of select="@subComponentID" />&quot;,version=&quot;<xsl:value-of select="@version" />&quot;,name=&quot;<xsl:value-of select="@display" />&quot;,deviceKey=&quot;<xsl:value-of select="../@componentID" />:<xsl:value-of select="../@display" />:<xsl:value-of select="../@vendorID" />:<xsl:value-of select="../@deviceID"/>:<xsl:value-of select="../@subDeviceID" />:<xsl:value-of select="../@subVendorID" />:<xsl:value-of select="../@bus"/>:<xsl:value-of select="../@device"/>:<xsl:value-of select="../@function"/>&quot;";
};
</xsl:if >
</xsl:otherwise>
</xsl:choose>
</xsl:template>
</xsl:stylesheet>
